unit MainUnit;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils,  System.Variants,
  System.Classes, Vcl.Graphics, Vcl.Controls,Vcl.Menus, Vcl.ImgList, Vcl.Forms,
  Vcl.Themes, Vcl.Mask, Vcl.StdCtrls, ShellApi,
  scControls, scImageCollection,  scAdvancedControls;

type
  TMainForm = class(TForm)
    scPanel1: TscPanel;
    ImageList1: TImageList;
    PopupMenu1: TPopupMenu;
    WindowsStyle: TMenuItem;
    Style1: TMenuItem;
    Style2: TMenuItem;
    scButton1: TscButton;
    scButton2: TscButton;
    scButton3: TscButton;
    scButton4: TscButton;
    scEdit1: TscEdit;
    Style3: TMenuItem;
    scImageCollection1: TscImageCollection;
    Style4: TMenuItem;
    scLinkBar1: TscLinkBar;
    ImageList2: TImageList;
    ImageList3: TImageList;
    procedure WindowsStyleClick(Sender: TObject);
    procedure Style1Click(Sender: TObject);
    procedure Style2Click(Sender: TObject);
    procedure Style3Click(Sender: TObject);
    procedure Style4Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure scButton4Click(Sender: TObject);
    procedure scLinkBar1ItemClick(Sender: TObject);
  private
    CurrentFrame: TFrame;
    FrameChanging: Boolean;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

  uses
    StandardUnit1, StandardUnit2, StandardUnit3, StandardUnit4, StandardUnit5,
    StandardUnit6, AdvancedUnit1, AdvancedUnit2, AdvancedUnit3, ShellUnit, AboutUnit;

{$R *.dfm}

type
  TFrameClass = class(TFrame);

procedure TMainForm.Style3Click(Sender: TObject);
begin
  TStyleManager.SetStyle('Aqua Light Slate');
  if scPanel1.StyleKind <> scpsPanel then
      scPanel1.StyleKind := scpsPanel;
  Style3.Checked := True;
end;

procedure TMainForm.Style2Click(Sender: TObject);
begin
  TStyleManager.SetStyle('Sapphire Kamri');
   if scPanel1.StyleKind <> scpsPanel then
      scPanel1.StyleKind := scpsPanel;
  Style2.Checked := True;
end;

procedure TMainForm.WindowsStyleClick(Sender: TObject);
begin
  TStyleManager.SetStyle('Windows');
   if scPanel1.StyleKind <> scpsPanel then
      scPanel1.StyleKind := scpsPanel;
  WindowsStyle.Checked := True;
end;

procedure TMainForm.Style4Click(Sender: TObject);
begin
  TStyleManager.SetStyle('TabletDark');
  scPanel1.StyleKind := scpsToolBar;
  Style4.Checked := True;
end;

procedure TMainForm.Style1Click(Sender: TObject);
begin
  TStyleManager.SetStyle('Glossy');
  scPanel1.StyleKind := scpsToolBar;
  Style1.Checked := True;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  CurrentFrame := nil;
  scLinkBar1.ItemIndex := 1;
end;

procedure TMainForm.scButton4Click(Sender: TObject);
begin
  ShellExecute(0, 'open', 'http://www.almdev.com', nil, nil, SW_SHOWNORMAL);
end;

procedure TMainForm.scLinkBar1ItemClick(Sender: TObject);

procedure HideCurrentFrame;
begin
  CurrentFrame.Hide;
  CurrentFrame.Free;
  CurrentFrame := nil;
end;

var
  FShow: Boolean;
begin
  if FrameChanging then Exit;

  FrameChanging := True;

  FShow := False;
  case scLinkBar1.ItemIndex of
    1:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TStandardFrame1) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TStandardFrame1.Create(Self);
        FShow := True;
      end;
    end;
    2:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TStandardFrame2) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TStandardFrame2.Create(Self);
        FShow := True;
      end;
    end;
    3:
     begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TStandardFrame3) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TStandardFrame3.Create(Self);
        FShow := True;
      end;
    end;
    4:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TStandardFrame4) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TStandardFrame4.Create(Self);
        FShow := True;
      end;
    end;
    5:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TStandardFrame5) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TStandardFrame5.Create(Self);
        FShow := True;
      end;
    end;
    6:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TStandardFrame6) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TStandardFrame6.Create(Self);
        FShow := True;
      end;
    end;
    8:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TAdvancedFrame1) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TAdvancedFrame1.Create(Self);
        FShow := True;
      end;
    end;
    9:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TAdvancedFrame2) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TAdvancedFrame2.Create(Self);
        FShow := True;
      end;
    end;
    10:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TAdvancedFrame3) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TAdvancedFrame3.Create(Self);
        FShow := True;
      end;
    end;
    12:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TShellFrame) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TShellFrame.Create(Self);
        FShow := True;
      end;
    end;
    14:
    begin
      if (CurrentFrame <> nil) and not (CurrentFrame is TAboutFrame) then
        HideCurrentFrame;
      if CurrentFrame = nil then
      begin
        CurrentFrame := TAboutFrame.Create(Self);
        FShow := True;
      end;
    end;
  end;

  if FShow and (CurrentFrame <> nil) then
  begin
    CurrentFrame.SetBounds(scLinkBar1.Width,
    scPanel1.Height, Width - scLinkBar1.Width, Height - scPanel1.Height);
    CurrentFrame.Parent := Self;
    CurrentFrame.Visible := True;
    CurrentFrame.Align := alClient;
  end;

  FrameChanging := False;
end;

end.
